Package net.snowflake.client.jdbc

## Class RetryContext

- java.lang.Object
- - net.snowflake.client.jdbc.RetryContext

    @SnowflakeJdbcInternalApi
    public class RetryContext
    extends Object

RetryContext stores information about an ongoing request's retrying process.

### Constructor Summary

Constructors
`RetryContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getRemainingRetryTimeoutInSeconds()`
`long` `getRetryCount()`
`RetryContext` `setElapsedTimeInMillis​(long elapsedTimeInMillis)`
`RetryContext` `setRetryCount​(long retryCount)`
`RetryContext` `setRetryTimeoutInMillis​(long retryTimeoutInMillis)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryContext

    public RetryContext()

### Method Detail

#### setElapsedTimeInMillis

    public RetryContext setElapsedTimeInMillis​(long elapsedTimeInMillis)

#### setRetryTimeoutInMillis

    public RetryContext setRetryTimeoutInMillis​(long retryTimeoutInMillis)

#### setRetryCount

    public RetryContext setRetryCount​(long retryCount)

#### getRemainingRetryTimeoutInSeconds

    public long getRemainingRetryTimeoutInSeconds()

#### getRetryCount

    public long getRetryCount()